#include <bits/stdc++.h>
using namespace std;
int n;
string s;
int main (){
    cin>>n>>s;
if (n<26){
    cout<<0<<endl;
}
if (n==26 and s=="ABCDEFGHIJKLMNOPQRSTUVWXYZ"){
    cout<<1<<endl;
}


  return 0;
}